Checks: >
  -*,
  bugprone-*,
  performance-*,
  modernize-use-nullptr,
  modernize-use-override,
  modernize-use-auto,
  modernize-use-nodiscard,
  readability-braces-around-statements,
  readability-qualified-auto,
  readability-redundant-member-init,
  cppcoreguidelines-pro-type-cstyle-cast,
  -bugprone-easily-swappable-parameters,
  -bugprone-branch-clone,
  -bugprone-signed-char-misuse
WarningsAsErrors: ''
HeaderFilterRegex: 'src/(main|test)/cpp/net/eagle0/(shardok|common)/.*'
FormatStyle: file
CheckOptions:
  readability-braces-around-statements.ShortStatementLines: '1'
  readability-function-size.LineThreshold: '160'
  readability-function-size.StatementThreshold: '80'
  readability-function-size.BranchThreshold: '20'
  modernize-use-nullptr.NullMacros: 'NULL'
